package com.kingdee.eas.custom.dormitorysystem.occupants;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.dormitorysystem.occupants.app.*;

public class Occupants extends DataBase implements IOccupants
{
    public Occupants()
    {
        super();
        registerInterface(IOccupants.class, this);
    }
    public Occupants(Context ctx)
    {
        super(ctx);
        registerInterface(IOccupants.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("8C2E4A3F");
    }
    private OccupantsController getController() throws BOSException
    {
        return (OccupantsController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public OccupantsInfo getOccupantsInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOccupantsInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public OccupantsInfo getOccupantsInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOccupantsInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public OccupantsInfo getOccupantsInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOccupantsInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public OccupantsCollection getOccupantsCollection() throws BOSException
    {
        try {
            return getController().getOccupantsCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public OccupantsCollection getOccupantsCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOccupantsCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public OccupantsCollection getOccupantsCollection(String oql) throws BOSException
    {
        try {
            return getController().getOccupantsCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}